-- MariaDB dump 10.19  Distrib 10.4.30-MariaDB, for Linux (x86_64)
--
-- Host: localhost    Database: cookbook_cookbook
-- ------------------------------------------------------
-- Server version	10.4.30-MariaDB-cll-lve

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `images`
--

DROP TABLE IF EXISTS `images`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `images` (
  `id` varchar(36) NOT NULL DEFAULT uuid(),
  `coverPhoto` varchar(100) NOT NULL,
  `miniaturePhoto` varchar(100) NOT NULL,
  `recipe_id` varchar(36) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `recipe_id` (`recipe_id`),
  CONSTRAINT `images_ibfk_1` FOREIGN KEY (`recipe_id`) REFERENCES `recipe` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `images`
--

LOCK TABLES `images` WRITE;
/*!40000 ALTER TABLE `images` DISABLE KEYS */;
INSERT INTO `images` VALUES ('641d61e2-1e92-4c12-9f30-8be4c61d7932','/api/v1/recipe/image=20307aaa-5fb5-4177-9bfb-bd88fb9e6ba7.jpeg','/api/v1/recipe/image=20307aaa-5fb5-4177-9bfb-bd88fb9e6ba7.jpeg','0adde034-882b-45c4-8674-e835c7d00a04'),('96e8af59-d7a5-4b39-92d5-f421d5b2f8e6','/api/v1/recipe/image=7d726dd1-2184-4322-a9d0-3e169b220f1e.png','/api/v1/recipe/image=7d726dd1-2184-4322-a9d0-3e169b220f1e.png','60144acb-a463-400e-be41-bc6a31532ce0'),('d8c41072-602b-429d-a9e8-57f0e36c33b3','/api/v1/recipe/image=d58654ae-7b9d-4ad7-b16c-e8abbc331882.png','/api/v1/recipe/image=d58654ae-7b9d-4ad7-b16c-e8abbc331882.png','803a754b-21f5-4b86-9d4f-c003b3bec602');
/*!40000 ALTER TABLE `images` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ingriedients`
--

DROP TABLE IF EXISTS `ingriedients`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ingriedients` (
  `id` varchar(36) NOT NULL,
  `name` varchar(100) NOT NULL,
  `kcal` int(10) unsigned zerofill NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ingriedients`
--

LOCK TABLES `ingriedients` WRITE;
/*!40000 ALTER TABLE `ingriedients` DISABLE KEYS */;
INSERT INTO `ingriedients` VALUES ('17c08ddd-d741-4220-bb95-02b58379aeb3','Kawa',0000000000),('4cff55fb-4ff9-4b9e-8161-70638fd1e593','Czekolada',0000000000),('57a65bb6-d115-4c9a-a90d-3bb4affdcc89','Mąka',0000000250),('57e9061a-c170-4dae-9278-fc6949dfb6d0','Drożdże',0000000030),('582a390f-b111-44ed-b09f-f35a870a6337','Mąka',0000000350),('ec16974b-a539-42ac-8d4f-9d9c9e400c43','Oliwa',0000000070);
/*!40000 ALTER TABLE `ingriedients` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `recipe`
--

DROP TABLE IF EXISTS `recipe`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `recipe` (
  `id` varchar(36) NOT NULL DEFAULT uuid(),
  `title` tinytext NOT NULL,
  `createdAt` datetime NOT NULL,
  `editedAt` datetime DEFAULT NULL,
  `description` text NOT NULL,
  `user_id` varchar(36) NOT NULL,
  `isShared` tinyint(1) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `user_id` (`user_id`),
  CONSTRAINT `recipe_ibfk_1` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `recipe`
--

LOCK TABLES `recipe` WRITE;
/*!40000 ALTER TABLE `recipe` DISABLE KEYS */;
INSERT INTO `recipe` VALUES ('0adde034-882b-45c4-8674-e835c7d00a04','Kawa z czekolada','2022-05-25 18:09:27','2022-12-29 10:17:20','Kawa i czekolada. Czy istnieje lepsza kombinacja smakowa? To sposób na deserową \"małą czarną\", która skutecznie dodaje ernergii oraz zaspokaja apetyt na słodycze. Ten zgrany duet można udoskonalić szczyptą cynamonu, mlekiem migdałowym oraz odrobiną likieru amaretto.','77f5bed5-c605-4a62-87b4-795a598875a6',0),('60144acb-a463-400e-be41-bc6a31532ce0','Pizza','2022-05-24 21:24:18','2022-05-24 21:26:37','PRZYGOTOWANIE\nŚwieże drożdże ocieplić w temperaturze pokojowej. Przygotować rozczyn: drożdże rozpuścić w ciepłej wodzie, dodać 2 łyżki mąki oraz cukier, dokładnie wymieszać i odstawić na ok. 10 minut do wyrośnięcia (rozczyn ze świeżych drożdży zwiększa objętość o ok. 3 razy - jeśli tak się nie stanie proces przygotowania rozczynu trzeba powtórzyć od nowa, natomiast rozczyn z drożdży instant może się tylko trochę spienić).\nMąkę przesiać do miski, wymieszać z solą, zrobić wgłębienie w środku i wlać w nie rozczyn. Sukcesywnie zagarniać łyżką mąkę do środka i przez 2 - 3 minuty mieszać składniki, pod koniec dodając jeszcze oliwę.\nPołączone składniki wyłożyć na stolnicę oprószoną mąką. Wyrabiać przez ok. 15 minut aż ciasto będzie elastyczne i gładkie (ciasto można też zagnieść mikserem planetarnym).\nWyrobione ciasto włożyć do dużej miski, przykryć ściereczką i odstawić na ok. 1 godzinę do wyrośnięcia.\nWyrośnięte ciasto wyjąć na stolnicę i chwilę pozagniatać. Podzielić na 2 części, uformować z nich kulki i odłożyć na ok. 7 minut pod ściereczką.\nBlaszki (tortownice) posmarować oliwą. Włożyć na środek kulkę ciasta, delikatnie spłaszczyć i rozciągać, rozprowadzając palcami po całej powierzchni dna, zaczynając od środka i zostawiając niewielki \"wałeczek\" na brzegu (zob. zdjęcia poniżej). UWAGA: najlepiej robić to kilkoma etapami, ciasto na początku sprężynuje i \"cofa się\" ale jeśli odczekamy chwilę będziemy mogli je dalej rozciągać.\nWyłożyć cienką warstwę SOSU POMIDOROWEGO, ser* oraz ulubione dodatki. Odczekać ok. 15 minut aż ciasto podrośnie, następnie piec w maksymalnie nagrzanym piekarniku (min. 250 st. C) przez ok. 10 minut.\nWSKAZÓWKI\n* Polecam połączenie pół na pół mozzarelli świeżej (z zalewy, w kulce) oraz suchej (tartej).','b0a83083-85e7-434b-a70e-120d2b9ad417',1),('803a754b-21f5-4b86-9d4f-c003b3bec602','Pizza','2022-05-24 21:23:21','2022-05-26 12:09:45','PRZYGOTOWANIE\nŚwieże drożdże ocieplić w temperaturze pokojowej. Przygotować rozczyn: drożdże rozpuścić w ciepłej wodzie, dodać 2 łyżki mąki oraz cukier, dokładnie wymieszać i odstawić na ok. 10 minut do wyrośnięcia (rozczyn ze świeżych drożdży zwiększa objętość o ok. 3 razy - jeśli tak się nie stanie proces przygotowania rozczynu trzeba powtórzyć od nowa, natomiast rozczyn z drożdży instant może się tylko trochę spienić).\nMąkę przesiać do miski, wymieszać z solą, zrobić wgłębienie w środku i wlać w nie rozczyn. Sukcesywnie zagarniać łyżką mąkę do środka i przez 2 - 3 minuty mieszać składniki, pod koniec dodając jeszcze oliwę.\nPołączone składniki wyłożyć na stolnicę oprószoną mąką. Wyrabiać przez ok. 15 minut aż ciasto będzie elastyczne i gładkie (ciasto można też zagnieść mikserem planetarnym).\nWyrobione ciasto włożyć do dużej miski, przykryć ściereczką i odstawić na ok. 1 godzinę do wyrośnięcia.\nWyrośnięte ciasto wyjąć na stolnicę i chwilę pozagniatać. Podzielić na 2 części, uformować z nich kulki i odłożyć na ok. 7 minut pod ściereczką.\nBlaszki (tortownice) posmarować oliwą. Włożyć na środek kulkę ciasta, delikatnie spłaszczyć i rozciągać, rozprowadzając palcami po całej powierzchni dna, zaczynając od środka i zostawiając niewielki \"wałeczek\" na brzegu (zob. zdjęcia poniżej). UWAGA: najlepiej robić to kilkoma etapami, ciasto na początku sprężynuje i \"cofa się\" ale jeśli odczekamy chwilę będziemy mogli je dalej rozciągać.\nWyłożyć cienką warstwę SOSU POMIDOROWEGO, ser* oraz ulubione dodatki. Odczekać ok. 15 minut aż ciasto podrośnie, następnie piec w maksymalnie nagrzanym piekarniku (min. 250 st. C) przez ok. 10 minut.\nWSKAZÓWKI\n* Polecam połączenie pół na pół mozzarelli świeżej (z zalewy, w kulce) oraz suchej (tartej).','b0a83083-85e7-434b-a70e-120d2b9ad417',0);
/*!40000 ALTER TABLE `recipe` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `recipe_ingriedients`
--

DROP TABLE IF EXISTS `recipe_ingriedients`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `recipe_ingriedients` (
  `id` varchar(36) NOT NULL,
  `recipe_id` varchar(36) NOT NULL,
  `ingriedient_id` varchar(36) NOT NULL,
  `weight` int(10) unsigned zerofill NOT NULL,
  PRIMARY KEY (`id`),
  KEY `ingriedient_id` (`ingriedient_id`),
  KEY `recipe_id` (`recipe_id`),
  CONSTRAINT `recipe_ingriedients_ibfk_1` FOREIGN KEY (`recipe_id`) REFERENCES `recipe` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `recipe_ingriedients_ibfk_2` FOREIGN KEY (`ingriedient_id`) REFERENCES `ingriedients` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `recipe_ingriedients`
--

LOCK TABLES `recipe_ingriedients` WRITE;
/*!40000 ALTER TABLE `recipe_ingriedients` DISABLE KEYS */;
INSERT INTO `recipe_ingriedients` VALUES ('59e05f45-a0ee-4f03-a0e9-a96563b85f85','60144acb-a463-400e-be41-bc6a31532ce0','ec16974b-a539-42ac-8d4f-9d9c9e400c43',0000000010),('8c4caf9e-3687-4d42-a5c9-85165575ae33','60144acb-a463-400e-be41-bc6a31532ce0','582a390f-b111-44ed-b09f-f35a870a6337',0000000150),('9c3cdc12-8f00-43e3-bb24-96e65d9bd202','0adde034-882b-45c4-8674-e835c7d00a04','17c08ddd-d741-4220-bb95-02b58379aeb3',0000000020),('b47592b5-02af-4d94-bf43-32bad0ac4c8e','60144acb-a463-400e-be41-bc6a31532ce0','57e9061a-c170-4dae-9278-fc6949dfb6d0',0000000007),('cea4e515-810b-4389-b26e-69cf90d18893','0adde034-882b-45c4-8674-e835c7d00a04','4cff55fb-4ff9-4b9e-8161-70638fd1e593',0000000050);
/*!40000 ALTER TABLE `recipe_ingriedients` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `reviews`
--

DROP TABLE IF EXISTS `reviews`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `reviews` (
  `id` varchar(36) NOT NULL,
  `comment` text NOT NULL,
  `rating` int(1) NOT NULL,
  `recipe_id` varchar(36) NOT NULL,
  `user_id` varchar(36) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `recipe_id` (`recipe_id`),
  KEY `user_id` (`user_id`),
  CONSTRAINT `reviews_ibfk_1` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `reviews_ibfk_2` FOREIGN KEY (`recipe_id`) REFERENCES `recipe` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `reviews`
--

LOCK TABLES `reviews` WRITE;
/*!40000 ALTER TABLE `reviews` DISABLE KEYS */;
/*!40000 ALTER TABLE `reviews` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `users`
--

DROP TABLE IF EXISTS `users`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `users` (
  `email` varchar(80) NOT NULL,
  `password` varchar(128) NOT NULL,
  `id` varchar(36) NOT NULL,
  `isEmailConfirmed` tinyint(1) NOT NULL,
  `emailConfirmationId` varchar(32) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `email` (`email`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `users`
--

LOCK TABLES `users` WRITE;
/*!40000 ALTER TABLE `users` DISABLE KEYS */;
INSERT INTO `users` VALUES ('111@xxxyyy.pl','$2a$10$45OxUVi7Fq5Z4KFdOvJHje1E0/gPm5tfLOyiccJMB/EfZBGSphSqG','77f5bed5-c605-4a62-87b4-795a598875a6',1,'0dd24a4a1c2a72bf17cad7221f69246a'),('artmuc911@gmail.com','$2a$10$7jgO2O7R/dsA3b4g.Ua5e.5Svm1Ycw4RI2dy45Bi7yYYFy3aP0MCm','b0a83083-85e7-434b-a70e-120d2b9ad417',1,'95aa4c6fbe40efde8bba759c86e22076');
/*!40000 ALTER TABLE `users` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Dumping routines for database 'cookbook_cookbook'
--
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2024-03-19 21:36:10
