
const session = require("express-session");
const express = require("express");
const cors = require("cors");
const cookieParser = require("cookie-parser");
const bodyParser = require("body-parser");
const rateLimit = require('express-rate-limit');


const middlewareSetup = (app) => {
  app.use(rateLimit({
    windowMs: 5 * 60 * 1000, // 15 minutes
    max: 100, // Limit each IP to 100 requests per `window` (here, per 15 minutes)
  }));
    app.use(express.json());
    app.use(
      session({
        secret: "secretcode", // need to move to the .env file!!!!!!!!!!!!!!!!!!!!!!!!!
        resave: false,
        saveUninitialized: true,
        cookie: { maxAge: 1000 * 60 * 60 * 24, httponly: true },
      })
    );
    app.use(cookieParser());
    
    app.use(bodyParser.json());
    app.use(bodyParser.urlencoded({ extended: true }));
    app.use(
      cors({
        origin: "http://localhost:3000", // <-- location of the react app were connecting to
        methods: "GET,HEAD,PUT,PATCH,POST,DELETE",
        credentials: true,
      })
    );

   
    
}

module.exports = {middlewareSetup}